import logging
import pequod_agent.networking.ip as ip


log = logging.getLogger('pequod.check_environment')


def check_environment() -> bool:
    """
    Check status after setting up the agent
    """
    # TODO: test this
    checks = [dns64]
    everything_ok = all(check() for check in checks)
    return everything_ok


def dns64() -> bool:
    # TODO: test this
    hostname = 'zalando.de'
    try:
        ip6_address = ip.get_host_ip(hostname)
    except:
        ip6_address = None
    if not ip6_address:
        log.warning('Could not resolve IPv6 address of %s. DNS/DNS64 seems not to work.', hostname)
    return bool(ip6_address)